National Instruments LabVIEW 5.1.1/6.0/6.1 HTTP Request Denial of Service Vulnerability

2014-07-01T00:00:00
ID SSV:75240
Type seebug
Reporter Root
Modified 2014-07-01T00:00:00

Description

No description provided by source.

                                        
                                            
                                                source: http://www.securityfocus.com/bid/4577/info

A vulnerability has been reported in some versions of National Instruments LabVIEW for Linux and Microsoft Windows.

LabVIEW includes an integrated HTTP server. If a malformed HTTP request is received, it is possible to crash the LabVIEW Web Server and LabVIEW itself. This condition occurs when an HTTP GET request is received and terminated with two new line characters, as opposed to the compliant carriage return / new line combination.

GET\s/\sHTTP/1.0\n\n